/**
 * Set the Ui appearance.
 *
 * @since Android 10
 * @this {import('../driver').AndroidDriver}
 * @param {string} mode The UI mode to set the value for.
 * Supported values are: 'night' and 'car'
 * @param {string} value The actual mode value to set.
 * Supported value for different UI modes are:
 * - night: yes|no|auto|custom_schedule|custom_bedtime
 * - car: yes|no
 * @returns {Promise<void>}
 */
export function mobileSetUiMode(this: import("../driver").AndroidDriver, mode: string, value: string): Promise<void>;
/**
 * Get the Ui appearance.
 *
 * @since Android 10
 * @this {import('../driver').AndroidDriver}
 * @param {string} mode The UI mode to set the value for.
 * Supported values are: 'night' and 'car'
 * @returns {Promise<string>} The actual state for the queried UI mode,
 * for example 'yes' or 'no'
 */
export function mobileGetUiMode(this: import("../driver").AndroidDriver, mode: string): Promise<string>;
//# sourceMappingURL=appearance.d.ts.map