/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {Promise<string>}
 * @param {string | string[]} command The actual command to execute.
 * @see {@link https://developer.android.com/studio/run/emulator-console}
 * @param {number} [execTimeout] A timeout used to wait for a server reply to the given command in
 * milliseconds. 60000ms by default
 * @param {number} [connTimeout] Console connection timeout in milliseconds.
 * 5000ms by default.
 * @param {number} [initTimeout] Telnet console initialization timeout in milliseconds (the time between the
 * connection happens and the command prompt is available)
 */
export function mobileExecEmuConsoleCommand(this: import("../../driver").AndroidDriver, command: string | string[], execTimeout?: number, connTimeout?: number, initTimeout?: number): Promise<string>;
//# sourceMappingURL=emulator-console.d.ts.map