/**
 * @this {import('../../driver').AndroidDriver}
 * @param {string} errMsg
 */
export function requireEmulator(this: import("../../driver").AndroidDriver, errMsg: string): void;
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {string} networkSpeed
 * @returns {string}
 */
export function ensureNetworkSpeed(this: import("../../driver").AndroidDriver, networkSpeed: string): string;
/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {string[]}
 */
export function prepareAvdArgs(this: import("../../driver").AndroidDriver): string[];
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {ADB} adb
 * @returns {Promise<void>}
 */
export function prepareEmulator(this: import("../../driver").AndroidDriver, adb: ADB): Promise<void>;
/**
 * @param {import('../../driver').AndroidDriverOpts?} [opts=null]
 * @returns {Promise<ADB>}
 */
export function createBaseADB(opts?: import("../../driver").AndroidDriverOpts | null): Promise<ADB>;
/**
 * @this {import('../../driver').AndroidDriver}
 * @param {boolean} throwIfError
 * @returns {Promise<void>}
 */
export function pushSettingsApp(this: import("../../driver").AndroidDriver, throwIfError: boolean): Promise<void>;
/**
 * @deprecated
 * @this {import('../../driver').AndroidDriver}
 * @returns {Promise<string?>}
 */
export function initUnicodeKeyboard(this: import("../../driver").AndroidDriver): Promise<string | null>;
/**
 * @this {import('../../driver').AndroidDriver}
 * @returns {Promise<void>}
 */
export function hideKeyboardCompletely(this: import("../../driver").AndroidDriver): Promise<void>;
import { ADB } from 'appium-adb';
//# sourceMappingURL=utils.d.ts.map