/**
 * Simulates the onTrimMemory() event for the given package.
 * Read https://developer.android.com/topic/performance/memory
 * for more details.
 *
 * @this {import('../driver').AndroidDriver}
 * @param {string} pkg The package name to send the `trimMemory` event to
 * @param {'COMPLETE' | 'MODERATE' | 'BACKGROUND' | 'UI_HIDDEN' | 'RUNNING_CRITICAL' | 'RUNNING_LOW' | 'RUNNING_MODERATE'} level The
 * actual memory trim level to be sent
 * @returns {Promise<void>}
 */
export function mobileSendTrimMemory(this: import("../driver").AndroidDriver, pkg: string, level: "COMPLETE" | "MODERATE" | "BACKGROUND" | "UI_HIDDEN" | "RUNNING_CRITICAL" | "RUNNING_LOW" | "RUNNING_MODERATE"): Promise<void>;
export type ADB = import("appium-adb").ADB;
//# sourceMappingURL=memory.d.ts.map