/**
 * @this {import('../driver').AndroidDriver}
 * @returns {Promise<import('@appium/types').Size>}
 */
export function getWindowSize(this: import("../driver").AndroidDriver): Promise<import("@appium/types").Size>;
/**
 * @this {import('../driver').AndroidDriver}
 * @returns {Promise<import('@appium/types').Rect>}
 */
export function getWindowRect(this: import("../driver").AndroidDriver): Promise<import("@appium/types").Rect>;
/**
 * we override setUrl to take an android URI which can be used for deep-linking
 * inside an app, similar to starting an intent
 *
 * @this {import('../driver').AndroidDriver}
 * @param {string} uri
 * @returns {Promise<void>}
 */
export function setUrl(this: import("../driver").AndroidDriver, uri: string): Promise<void>;
/**
 * @this {import('../driver').AndroidDriver}
 * @returns {Promise<number>}
 */
export function getDisplayDensity(this: import("../driver").AndroidDriver): Promise<number>;
/**
 * @this {import('../driver').AndroidDriver}
 * @returns {Promise<StringRecord>}
 */
export function mobileGetNotifications(this: import("../driver").AndroidDriver): Promise<StringRecord>;
/**
 * @this {import('../driver').AndroidDriver}
 * @returns {Promise<import('./types').SmsListResult>}
 */
export function mobileListSms(this: import("../driver").AndroidDriver, opts: any): Promise<import("./types").SmsListResult>;
/**
 * @this {import('../driver').AndroidDriver}
 * @returns {Promise<void>}
 */
export function openNotifications(this: import("../driver").AndroidDriver): Promise<void>;
export type ADB = import("appium-adb").ADB;
export type StringRecord = import("@appium/types").StringRecord;
//# sourceMappingURL=misc.d.ts.map