"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveExecutablePath = resolveExecutablePath;
const support_1 = require("@appium/support");
/**
 * Return an executable path of cmd
 *
 * @param {string} cmd Standard output by command
 * @return {Promise<string?>} The full path of cmd. `null` if the cmd is not found.
 */
async function resolveExecutablePath(cmd) {
    try {
        const executablePath = await support_1.fs.which(cmd);
        if (executablePath && (await support_1.fs.exists(executablePath))) {
            return executablePath;
        }
    }
    catch { }
    return null;
}
//# sourceMappingURL=utils.js.map